metee

Loading...
Searching...
No Matches
Public Member Functions
intel::security::metee_exception Class Reference

`#include <meteepp.h>`

Inheritance diagram for intel::security::metee_exception:

## Public Member Functions
| metee_exception (const std::string &what, int err=TEE_INTERNAL_ERROR)
| metee_exception (int err, const std::error_category &cat)
| metee_exception (int err, const std::error_category &cat, const std::string &what)
virtual | ~metee_exception () noexcept

## Detailed Description

MeTee error exception class class

Definition at line 53 of file meteepp.h.

## Constructor & Destructor Documentation

## ◆ metee_exception() [1/3]

intel::security::metee_exception::metee_exception | ( | const std::string & | what,
|  | int | err = TEE_INTERNAL_ERROR )
| inline

Constructor

Parameters

  what | error string
  err | error code

Definition at line 60 of file meteepp.h.

## ◆ metee_exception() [2/3]

intel::security::metee_exception::metee_exception | ( | int | err,
|  | const std::error_category & | cat )
| inline

Constructor

Parameters

  err | error code
  cat | error category

Definition at line 65 of file meteepp.h.

## ◆ metee_exception() [3/3]

intel::security::metee_exception::metee_exception | ( | int | err,
|  | const std::error_category & | cat,
|  | const std::string & | what )
| inline

Constructor

Parameters

  err | error code
  cat | error category
  what | error string

Definition at line 71 of file meteepp.h.

## ◆ ~metee_exception()

virtual intel::security::metee_exception::~metee_exception | ( |  | ) |
| inline virtual noexcept

Destructor

Definition at line 74 of file meteepp.h.

The documentation for this class was generated from the following file:

- meteepp.h